Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.classifiers.trees.j48
Class PruneableClassifierTree

    java.lang.Object
      weka.classifiers.trees.j48.ClassifierTree
          weka.classifiers.trees.j48.PruneableClassifierTree

All Implemented Interfaces:
  java.io.Serializable, Drawable

    public class PruneableClassifierTree

extends ClassifierTree

Class for handling a tree structure that can be pruned using a pruning set.

Version:
  $Revision: 1.8 $
Author:
  Eibe Frank (eibe@cs.waikato.ac.nz)
See Also:
  Serialized Form

Field Summary

Fields inherited from interface weka.core.Drawable
`BayesNet, NOT_DRAWABLE, TREE`

Constructor Summary
`PruneableClassifierTree(ModelSelection toSelectLocModel, boolean pruneTree, int num, boolean cleanup, int seed)` Constructor for pruneable tree structure.

Method Summary
`void` | `buildClassifier(Instances data)` Method for building a pruneable classifier tree.
`void` | `prune()` Prunes a tree.

Methods inherited from class weka.classifiers.trees.j48.ClassifierTree
`assignIDs, buildTree, buildTree, classifyInstance, cleanup, distributionForInstance, graph, graphType, numLeaves, numNodes, prefix, toSource, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PruneableClassifierTree

    public PruneableClassifierTree(ModelSelection toSelectLocModel,
                                   boolean pruneTree,
                                   int num,
                                   boolean cleanup,
                                   int seed)
                            throws java.lang.Exception

  Constructor for pruneable tree structure. Stores reference to associated training data at each node.

  Parameters:
    `toSelectLocModel` - selection method for local splitting model
    `pruneTree` - true if the tree is to be pruned
    `num` - number of subsets of equal size
  Throws:
    `java.lang.Exception` - if something goes wrong

Method Detail

### buildClassifier

    public void buildClassifier(Instances data)
                         throws java.lang.Exception

  Method for building a pruneable classifier tree.

  Overrides:
    `buildClassifier` in class `ClassifierTree`
  Throws:
    `java.lang.Exception` - if tree can't be built successfully

### prune

    public void prune()
               throws java.lang.Exception

  Prunes a tree.

  Throws:
    `java.lang.Exception` - if tree can't be pruned successfully

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD